code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/bin/sh
# Copyright (C) 2010-2013 OpenWrt.org
. /lib/functions/leds.sh
. /lib/ramips.sh
get_status_led() {
case $(ramips_board_name) in
3g-6200n)
status_led="edimax:green:power"
;;
3g300m | w150m)
status_led="tenda:blue:ap"
;;
ar725w)
status_led="ar725w:green:power"
;;
awapn2403)
status_led="asia... | milaq/openwrt | target/linux/ramips/base-files/etc/diag.sh | Shell | gpl-2.0 | 3,515 |
#!/bin/bash
# Example for running
docker run -t -i python_pip /bin/bash
| ianmiell/OLD-shutitdist | python_pip/bin/run.sh | Shell | gpl-2.0 | 73 |
source ./venv/bin/activate
python procurement_parser.py | opendatakosovo/municipality-procurement-data-importer | run.sh | Shell | gpl-2.0 | 55 |
#! /usr/bin/env bash
$EXTRACTRC `find . -name "*.rc" -o -name "*.ui"` >> rc.cpp
$XGETTEXT `find . -name \*.cpp | grep -v '/plasmoid/'` -o $podir/apper.pot
rm -f rc.cpp
| KDE/apper | Messages.sh | Shell | gpl-2.0 | 168 |
#!/usr/bin/env bash
#
# dtb_list extracts the list of DTB files from BR2_LINUX_KERNEL_INTREE_DTS_NAME
# in ${BR_CONFIG}, then prints the corresponding list of file names for the
# genimage configuration file
#
dtb_list()
{
local DTB_LIST="$(sed -n 's/^BR2_LINUX_KERNEL_INTREE_DTS_NAME="\([\/a-z0-9 \-]*\)"$/\1/p' ${BR2... | glevand/buildroot--buildroot | board/freescale/common/imx/post-image.sh | Shell | gpl-2.0 | 3,115 |
for ip in $(cut -d' ' -f2 f.txt) ; do echo $ip ; done
| aktyis/DevOps | getALLipFromFile.sh | Shell | gpl-2.0 | 59 |
convert images/OCS-402.png -crop 1712x5000+0+0 +repage images/OCS-402-A.png
convert images/OCS-402.png -crop 1646x5000+1712+0 +repage images/OCS-402-B.png
#/OCS-402.png
#
#
#
| jonnymwalker/Staroslavjanskij-Slovar | scripts/middlesplit.OCS-402.sh | Shell | gpl-2.0 | 175 |
#! /bin/sh
# Copyright (C) 2013-2022 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | autotools-mirror/automake | t/tar-ustar-id-too-high.sh | Shell | gpl-2.0 | 2,548 |
#
# Copyright (R) gameboy709494
# 请参阅https://github.com/gameboy709494/ssautoscript
#
#
PID_PATH="/tmp/ssautoscript"
CONFIG_FILE_PATH="ss-server.txt"
#!/bin/bash
if [ $# == "0" ]
then
echo 你是不是忘了加参数了??
exit
fi
cmd=$1
if [ ! -x $PID_PATH ]
then
mkdir -p $PID_PATH > /dev/null
fi
start () {
sed '/^ *$/... | gameboy709494/ssautoscript | ss-server.sh | Shell | gpl-2.0 | 1,368 |
#!/bin/bash
export PATH=/data/apps/bin:$PATH
cd /data/Lacuna-Server-Open/bin
perl tick_planets.pl >>/var/log/tick_planets.log 2>>/var/log/tick_planets.log &
perl tick_spies.pl >>/tmp/tick_spies.log 2>>/tmp/tick_spies.log &
perl summarize_server.pl >>/var/log/run_two_hourly.log 2>>/var/log/run_two_hourly.log
perl saben/... | plainblack/Lacuna-Server-Open | bin/run_two_hourly.sh | Shell | gpl-2.0 | 465 |
#! /bin/bash
./ft_galera.sh --vendor=mariadb --provider-version=10.1 $*
| severalnines/s9s-tools | tests/ft_galera_mariadb_10.1.sh | Shell | gpl-2.0 | 73 |
#!/bin/bash
function create-project-html5 () {
user_record="$(getent passwd $USER)"
user_gecos_field="$(echo "$user_record" | cut -d ':' -f 5)"
user_full_name="$(echo "$user_gecos_field" | cut -d ',' -f 1)"
read -e -p "Folder: " PROJECT_HTML5_FOLDER
read -e -p "Title: " PROJECT_HTML5_TITLE
read -e -p "De... | opeshm/bash-utils | functions/project-fn.sh | Shell | gpl-2.0 | 2,001 |
#!/bin/bash
JAVA_CP=build/classes:lib/antlr.jar:lib/log4j-1.2.8.jar:lib/dom4j-1.6.1.jar:lib/commons-collections-3.1.jar:lib/jaxen-1.1-beta-8.jar
java -cp $JAVA_CP gr.omadak.leviathan.asp.AspParser $@
| nil-vn/aspa | parse.sh | Shell | gpl-2.0 | 200 |
#!/bin/bash
if [ $(hostname) == "web417.webfaction.com" ]; then
WEBFUCKTION="true"
WEBFUCKTION_PIP="--allow-external PIL --allow-insecure PIL"
#WEBFUCKTION_VENVARGS="-p /home/agaiszymon/bin/python"
else
WEBFUCKTION="false"
fi
diff .env/env_requirements.txt env_requirements.txt >/dev/null 2>&1 || {
... | nivwusquorum/private-domains | env.sh | Shell | gpl-2.0 | 849 |
#!/bin/bash
#initial system configuration
IMP_PATH="Objects/tubeServeur"
export IMP_PATH
./Tests/fonctionnels/tests/start_system.sh
./Objects/mpr -P franca Sources/mpr.c Objects/tubeClient &> Objects/res_client
cat Objects/res_client | grep "error: imprimante demandee' n'existe pas" &> /dev/null
if [ "$?" -eq "0" ]... | MattiaPrimavera/SY5 | Tests/fonctionnels/tests/bad/012-imprimante_inexistante.sh | Shell | gpl-2.0 | 361 |
#!/bin/bash
#
# Copyright (c) 2013-2021 Igor Pecovnik, igor.pecovnik@gma**.com
#
# This file is licensed under the terms of the GNU General Public
# License version 2. This program is licensed "as is" without any
# warranty of any kind, whether express or implied.
#
# This file is a part of the Armbian build script
# h... | armbian/build | lib/compilation.sh | Shell | gpl-2.0 | 42,597 |
#! /bin/sh -e
# tup - A file-based build system
#
# Copyright (C) 2011-2020 Mike Shal <marfey@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distribu... | ppannuto/tup | test/t4040-statfs.sh | Shell | gpl-2.0 | 1,322 |
#Copyright (C) 2005-2009 Freescale Semiconductor, Inc. All Rights Reserved.
#
#The code contained herein is licensed under the GNU General Public
#License. You may obtain a copy of the GNU General Public License
#Version 2 or later at the following locations:
#
#http://www.opensource.org/licenses/gpl-license.html
#http... | wanghao-xznu/vte | testcases/vte_tests_suite/wifi_tests/wifi_testap002.sh | Shell | gpl-2.0 | 835 |
#! /bin/echo This_file_must_be_sourced,_not_executed
#
# agen5/mk-stamps.sh
#
## This file is part of AutoGen.
## AutoGen Copyright (C) 1992-2013 by Bruce Korb - all rights reserved
##
## AutoGen is free software: you can redistribute it and/or modify it
## under the terms of the GNU General Public License as publish... | Distrotech/autogen | agen5/mk-stamps.sh | Shell | gpl-3.0 | 7,761 |
#!/bin/bash
# Author : Ali Salehi
# github : https://github.com/salehiali1374/bandWidthLog
# Email : salehiali1374@gmail.com
#
clear
clear
while getopts "hu:a" options; do
case "$options" in
h)
echo -e "##########################################"
echo -e "######## welcome to bandWidthInfo ########"
echo... | salehiali1374/bandWidthLog | bandWidthInfo.sh | Shell | gpl-3.0 | 1,429 |
#!/bin/sh
#
#
cd `dirname $0`
cd ../
go build
cd $OLDPWD
path=${1:-"/home/work/c"}
../filedist -s $HOSTNAME \
--dfile=dest.txt -p ${path} | tee result.txt
| codeskyblue/filedist | test/test.sh | Shell | gpl-3.0 | 166 |
#!/bin/bash
python AnalyzeSimulation.py --paralog1 YNL069C --paralog2 YIL133C --simnum 71 > YNL069C_YIL133C_MG94_nonclock_Sim71_PrintScreen.txt
| xjw1001001/IGCexpansion | Simulation/ShFiles/MG94_YNL069C_YIL133C_sim71.sh | Shell | gpl-3.0 | 145 |
#!/bin/sh
#
# Vivado(TM)
# runme.sh: a Vivado-generated Runs Script for UNIX
# Copyright 1986-2017 Xilinx, Inc. All Rights Reserved.
#
echo "This script was generated under a different operating system."
echo "Please update the PATH and LD_LIBRARY_PATH variables below, before executing this script"
exit
if [ -z "$... | rongcuid/lots-of-subleq-cpus | Subleq V2/SubLEQV2Viv/SubLEQV2Viv.runs/impl_1/runme.sh | Shell | gpl-3.0 | 1,184 |
#!/bin/env bash
# Xglom launcher
# A multi-modal kidney image analysis toolkit
#
# - Michael Eager, (michael.eager@monash.edu)
# - Monash Biomedical Imaging, Monash University, Australia
# Copyright © 2012-2013 Michael Eager <michael.eager@monash.edu>
#
# This file is part of Xglom.
#
# This is fr... | tectronics/xglom | xglom.sh | Shell | gpl-3.0 | 3,563 |
#!/bin/bash
# -r Backslash does not act as an escape character. The backslash is considered to be part
# of the line. In particular, a backslash-newline pair can not be used as a line continuation.
# -s Silent mode. If input is coming from a terminal, characters are not echoed.
# -n nchar... | amirmazmi/config | bash/examples/hiddenpword.sh | Shell | gpl-3.0 | 848 |
#!/bin/bash
### Global variable
INFO_FILES="01-info_files"
TRIM_LENGTH=$1 # Length to cut reads after process_radtags
ENZYME1=$2 # Name of the enzyme (run 'process_radtags' without options for list)
ENZYME2=$3 # Name of the enzyme (run 'process_radtags' without options for list)
LANE=$4
TEMPBARCODES=.temp.${LANE}.barc... | enormandeau/stacks_workflow | 00-scripts/utility_scripts/process_radtags_2_enzymes.sh | Shell | gpl-3.0 | 1,039 |
#!/bin/bash
# kill test-client
wilma_tc_pid=`ps -aef|grep java|grep wilma-test-client.jar|awk '{print $2}'`
echo ${wilma_tc_pid}
if [ -n "$wilma_tc_pid" ]; then
kill -9 ${wilma_tc_pid}
fi
# kill wilma
wilma_pid=`ps -aef|grep java|grep wilma.jar|awk '{print $2}'`
echo ${wilma_pid}
if [ -n "$wilma_pid" ]; then
... | epam/Wilma | config/environment/stop-wilma-environment.sh | Shell | gpl-3.0 | 706 |
#!/bin/bash
#############################################################
# File: run_with_timeout.sh
# Author: Christopher Zimmermann
# Date: January 20, 2010
#
# Function: To run the stitcher with a timeout of 3 hours - this is for the situation where the stitcher gets stuck and is unable to process the gigapan. E... | borevitzlab/Gigavision-StitcherAndDataManagement | stitch/run_with_timeout.sh | Shell | gpl-3.0 | 1,861 |
#!/bin/bash
#Update repositories and install mariadb
sudo apt-get update
sudo apt-get -y install mariadb-server mariadb-client expect aptitude
#Not required in actual script
#MYSQL_ROOT_PASSWORD=your rootpwd
#Automate MySQL installation
SECURE_MYSQL=$(expect -c "
set timeout 10
spawn sudo mysql_secure_installation
... | Farmatools/pharmacy-utils | deploy.sh | Shell | gpl-3.0 | 858 |
#!/usr/bin/env bash
set -eux
set -o pipefail
"${DCMA_BIN}" \
"${TEST_FILES_ROOT}"/500_vert_heart_binary.stl \
"${TEST_FILES_ROOT}"/icosahedron_binary.stl \
"${TEST_FILES_ROOT}"/icosahedron.stl \
\
-o DroverDebug |
tee -a fullstdout |
grep -i "3 Surface_Meshes loaded" |
`# Ensure the output stream is ... | hdclark/DICOMautomaton | integration_tests/tests/Load_STL_Files.sh | Shell | gpl-3.0 | 345 |
NAME='groff'
VERSION='1.22.3'
DESC='GNU Troff'
REQUIRES=()
SOURCES=('http://ftp.gnu.org/gnu/groff/groff-1.22.3.tar.gz')
PATCHES=('groff-1.22.3-dbos.patch')
ALLFILES=
prepare() {
standard_prepare
}
build() {
standard_build "$STDCONF --with-doc=no" "$STDMAKE" "$STDINSTALL"
}
| Dennisbonke/DB-OS | ports/ports/groff/build.sh | Shell | gpl-3.0 | 279 |
#!/bin/bash
if [ "$1" = "cron" ]; then
while [ true ]
do
/aws-scripts-mon/mon-put-instance-data.pl \
--mem-util --mem-used --mem-avail \
--swap-util --swap-used \
--auto-scaling > /dev/null
sleep 30
done
fi
EC2_AVAIL_ZONE=`curl -s http://169.254.169.254/latest/meta-data/placement/avail... | Bit-Clouded/Angostura | utility/aws-cwl-agent/entrypoint.sh | Shell | gpl-3.0 | 1,045 |
#!/bin/bash
# This script creates a nice API reference documentation for the Starling source.
# It uses the "ASDoc" tool that comes with the Flex SDK.
# Adapt the ASDOC variable below so that it points to the correct path.
if [ $# -ne 1 ]
then
echo "Usage: `basename $0` [version]"
echo " (version like '1.0')"
... | EduardoSimon/ShooterGameJuegosWeb | libs/Starling-Framework-1.8/Starling-Framework-1.8/starling/doc/generate.sh | Shell | gpl-3.0 | 1,570 |
SSH_ENV="$HOME/.ssh/environment"
# start the ssh-agent
function start_agent {
echo "Initializing new SSH agent..."
# spawn ssh-agent
ssh-agent | sed 's/^echo/#echo/' > "$SSH_ENV"
echo succeeded
chmod 600 "$SSH_ENV"
. "$SSH_ENV" > /dev/null
ssh-add
... | fusion809/mageia-scripts | Shell/ssh-startup.sh | Shell | gpl-3.0 | 323 |
#!/bin/bash
gcc -Wall -I/usr/local/include -c *.c
gcc -L/usr/local/lib *.o -ltradeant -lgsl -lgslcblas -lm
| coffeequant/TradeAnt | testinglib/compile.sh | Shell | gpl-3.0 | 107 |
# shellcheck shell=bash disable=SC1117,SC2154,SC2086
# no need for shebang - this file is loaded from charts.d.plugin
# SPDX-License-Identifier: GPL-3.0-or-later
# netdata
# real-time performance and health monitoring, done right!
# (C) 2016 Costa Tsaousis <costa@tsaousis.gr>
#
opensips_opts="fifo get_statistics all"... | l2isbad/netdata | collectors/charts.d.plugin/opensips/opensips.chart.sh | Shell | gpl-3.0 | 13,454 |
#!/bin/bash
# Roslen Anacleto
# 20160316
# Prepare the emmax files
plink2 --bfile ../genotype/$1 --recode12 --output-missing-genotype 0 --transpose --out ../genotype/$1
emmax-kin -v -h -s -d 10 ../genotype/$1
| unclesho/phenotype | prepare_emmax_files.sh | Shell | gpl-3.0 | 211 |
#!/bin/bash
BACKUP_DIR="/var/www"
BACKUP_SERVERDIR="/var/backups/server1"
DATE=`date +%Y-%m-%d`
DATE_DAY=`date +%d`
DATE_YEARMONTH=`date +%Y-%m`
# get backup type (full or incremental)
if [ "$DATE_DAY" == "01" ]
then
BACKUP_TYPE=1
BACKUP_FINALDIR=$BACKUP_SERVERDIR"/full_"$DATE
else
BACKUP_TYPE=2
BACKUP_FIN... | BaileyRud/rsync-remote-backup | backup.sh | Shell | gpl-3.0 | 1,298 |
#!/bin/bash
########################################################################
# install devtoolset-4 package EOL so now devtoolset-6 for centos 6 or 7
# 64bit only
# https://www.softwarecollections.org/en/scls/rhscl/devtoolset-4/
# written by George Liu (eva2000) centminmod.com
#
# requires at least an extra 1G... | centminmod/centminmod | addons/devtoolset-4.sh | Shell | gpl-3.0 | 7,611 |
#!/bin/bash
set -e
pegasus_lite_version_major="4"
pegasus_lite_version_minor="7"
pegasus_lite_version_patch="0"
pegasus_lite_enforce_strict_wp_check="true"
pegasus_lite_version_allow_wp_auto_download="true"
. pegasus-lite-common.sh
pegasus_lite_init
# cleanup in case of failures
trap pegasus_lite_signal_int INT
trap... | elainenaomi/sciwonc-dataflow-examples | dissertation2017/Experiment 2/instances/6_wikiflow_1sh_1s_annot/dags/ubuntu/pegasus/example_workflow/20170120T225855+0000/00/00/sessioncompute_1_ID0000004.sh | Shell | gpl-3.0 | 1,228 |
#!/bin/bash
function checkout_remote() {
directory="$1"; shift
repo="$1"; shift
revision="$1"; shift
pushd lib
if ! [[ -d $directory ]] ; then
git clone "$repo" || exit 1
fi
pushd $directory
git pull origin master || exit 1
git checkout "$revision" || exit 1
po... | KarlTDebiec/westpa | setup.sh | Shell | gpl-3.0 | 1,397 |
#!/bin/sh -e
#
# rc.local
#
# This script is executed at the end of each multiuser runlevel.
# Make sure that the script will "exit 0" on success or any other
# value on error.
#
# In order to enable or disable this script just change the execution
# bits.
#
# By default this script does nothing.
# Systemd executes th... | HiSPARC/pysparc | provisioning/firstboot.sh | Shell | gpl-3.0 | 634 |
#!/bin/csh
# + 3
if ( $#argv != 8 && $#argv != 10 && $#argv != 12 && $#argv != 14) then
echo 'Syntax: make_fig.sh <fig_name> <tri> <sol> <quantity> <type> <figType> <color/BW> <axes> {<xmin> <xmax> <ymin> <ymax> } { <rmin> <rmax>}'
echo ' fig_name: output pdf file'
echo 'tri: file with triangulation'
... | filipr/Adgo | Scripts/make_fig_pdf.sh | Shell | gpl-3.0 | 1,607 |
#!/bin/bash
# loop, starting mythtv when needed
# prevent recursion
xpid=`pidof X`
if [[ "$xpid" != "" ]] ; then
echo X already running
exit
fi
. /etc/opt/mythtv/mythtv.conf
scriptname=`readlink -e "$0"`
scriptpath=`dirname "$scriptname"`
scriptname=`basename "$scriptname" .sh`
hostname=` tr '[a-z]' '[A-Z]' ... | bennettpeter/mythscripts | install/opt/mythtv/bin/raspi-mythloop.sh | Shell | gpl-3.0 | 2,397 |
#!/bin/bash -e
set -o nounset
[[ -z "${WSI_DATADIR+x}" ]] && {
echo "[ERROR] \"bin/command/mpstat.sh\" should not be called directly"
echo "[HELP ] Run \"bin/webStatusCron.sh\" instead."
exit 1
}
#*** MAIN ***#
who -sH
| landrok/webstatus | bin/command/users.sh | Shell | gpl-3.0 | 286 |
#!/bin/bash
###############################################################################
# $Id: gdsh.init.sh,v 1.8 2008/05/23 10:09:06 tw Exp $
#
# Initialization for gdsh. Used as rcfile argument to bash
#
# Copyright (C) 2008 Thomas Weidenfeller
#
# This file is part of gds2000tools/gdsh.
#
# gds2000tools/gdsh ... | yytseng/gds2000tools | gdsh/gdsh.init.sh | Shell | gpl-3.0 | 2,306 |
#!/usr/bin/env bash
sudo apt-get install git-core curl zlib1g-dev build-essential libssl-dev libreadline-dev libyaml-dev libsqlite3-dev sqlite3 libxml2-dev libxslt1-dev libcurl4-openssl-dev python-software-properties libffi-dev -y
echo 'export PATH="$HOME/.rbenv/bin:$PATH"' >> /home/vagrant/.bashrc
echo 'eval "$(rb... | keroloswilliam/rails5.0.0_vagrant_box | bootstrap.sh | Shell | gpl-3.0 | 560 |
#!/bin/bash
SCRIPT_PATH=$(dirname "$(readlink -f $0)")
PROJECT_ROOT=$(readlink -f "$SCRIPT_PATH/../")
MARKDOWN_OUTPUT=$(markdown "$PROJECT_ROOT/README.markdown")
mkdir "$PROJECT_ROOT/assets" 2> /dev/null
cat > "$PROJECT_ROOT/assets/help.html" <<EOF
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http... | tdudziak/gps-lock-lock | tools/generate_help.sh | Shell | gpl-3.0 | 695 |
#!/bin/bash
#
# Extract XYZ coordinate file from Kerogen-genome search
#
# version 1.6.-20161106a
#
# Nicola Ferralis <ferralis@mit.edu>
#
# License: GNU General Public License v.2 or above
#
filename="bestIndividual.txt"
if [[ $1 == "-v" ]]
then
echo
echo " Version 1.6-20161106a"
echo
exit
fi
i... | feranick/KerogenGA | Scripts/ga_xyz.sh | Shell | gpl-3.0 | 2,851 |
#!/bin/bash
if [[ -d ~/.rbenv ]]; then
echo "Upgrade if possible"
cd ~/.rbenv/
git pull
cd plugins/ruby-build
git pull
else
echo "Installing"
git clone https://github.com/rbenv/rbenv.git ~/.rbenv
git clone https://github.com/rbenv/ruby-build.git ~/.rbenv/plugins/ruby-build
source ~/.... | wdenton/conforguration | conforg/scripts/ruby-rbenv.sh | Shell | gpl-3.0 | 330 |
adl -profile mobileDevice -screensize 1024x600:1024x600 AS3Craft-app.xml
| zhuowei/as3craft-classic | run.sh | Shell | gpl-3.0 | 73 |
#!/bin/sh
Mlog -x "perl $TSTSRCDIR/perl-undef-0.Bug-3235.pl $MAPIPORT $TSTDB"
| zyzyis/monetdb | sql/test/BugTracker-2013/Tests/perl-undef-0.Bug-3235.SQL.sh | Shell | mpl-2.0 | 79 |
#!/bin/sh
# --------------------------------------------------------------------------- #
# Change this to whatever your domain is
CONSTANTINA_HOSTNAME=example.com
# For virtualenvs, recommend keeping the instance name and path fixed.
# Otherwise you need to edit shared.py and add new locations that
# the constantina... | wwoast/constantina | make-venv.sh | Shell | agpl-3.0 | 1,147 |
#!/usr/bin/env bash
mkdir release
echo -n $DEMBELO_VERSION > files/version
git config user.name "Travis CI"
git config user.email "travisci@waszulesen.de"
git add files/version
git commit -m "Set build version number" files/version
git tag $DEMBELO_VERSION -a -m "Tag from weekly TravisCI build $TRAVIS_BUILD_NUMBER"
git... | typearea/dembelo | scripts/buildRelease.sh | Shell | agpl-3.0 | 731 |
#!/bin/bash
mkdir -p /home/mirror/sync/tmp/fedora
mkdir -p /home/mirror/sync/fedora/enchilada
mkdir -p /home/mirror/sync/fedora/alt
mkdir -p /home/mirror/sync/fedora/archive
mkdir -p /home/mirror/sync/fedora/secondary
chown mirror:mirror /home/mirror/sync/tmp/fedora
chown mirror:mirror /home/mirror/sync/fedora/enchilad... | bastelfreak/puppet-mirror | files/bin/sync-fedora.sh | Shell | agpl-3.0 | 1,366 |
#!/bin/sh
set -v
SETUP=composer-setup.php
cd /tmp
EXPECTED_SIGNATURE=$(curl -sS https://composer.github.io/installer.sig)
curl -sS -o $SETUP https://getcomposer.org/installer
ACTUAL_SIGNATURE=$(openssl sha384 $SETUP | cut -d' ' -f2)
if [ "$EXPECTED_SIGNATURE" != "$ACTUAL_SIGNATURE" ]
then
>&2 echo 'ERROR: Inval... | monicahq/monica | scripts/docker/install-composer.sh | Shell | agpl-3.0 | 475 |
#!/usr/bin/env bash
set -e
BASEDIR=$(dirname $0)
cd $BASEDIR/debian_3rdparty
./build_eigen3.sh
./build_fftw3.sh
./build_lame.sh
./build_ffmpeg.sh
./build_libsamplerate.sh
./build_zlib.sh
./build_taglib.sh
./build_yaml.sh
./build_chromaprint.sh
#!/usr/bin/env bash
if [[ "$*" == *--with-gaia* ]]
then
./build... | MTG/essentia | packaging/build_3rdparty_static_debian.sh | Shell | agpl-3.0 | 496 |
source common.sh
clearStore
clearProfiles
checkRef() {
nix-store -q --references $TEST_ROOT/result | grep -q "$1" || fail "missing reference $1"
}
# Test the export of the runtime dependency graph.
outPath=$(nix-build ./export-graph.nix -A runtimeGraph -o $TEST_ROOT/result)
test $(nix-store -q --references $TE... | antono/nix-debian | tests/export-graph.sh | Shell | lgpl-2.1 | 750 |
# Run with ./run-tests.sh
test_wait_for_match() {
cat > test.py <<-EOF
wait_for_match(
"$testdir/videotestsrc-redblue.png", consecutive_matches=2)
EOF
stbt run -v test.py
}
test_wait_for_match_no_match() {
cat > test.py <<-EOF
wait_for_match(
"$testdir/videotestsrc-redblue-flipped.png", timeo... | LewisHaley/stb-tester | tests/test-match.sh | Shell | lgpl-2.1 | 17,875 |
#!/bin/bash
mkdir corpus_to_align/source_language_corpus_prepared
mkdir corpus_to_align/target_language_corpus_prepared
perl lowercase-all.perl
| braunefe/Gargantua | prepare-data.sh | Shell | lgpl-2.1 | 149 |
#!/bin/bash
#
# Copyright 2013 Ben Cordero
#
# This file is part of lxc-create-gentoo.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at you... | bencord0/lxc-create-gentoo | scripts/postgres.sh | Shell | lgpl-3.0 | 1,607 |
echo "Hello world!"
| fuinorg/event-store-maven-plugin | es-maven-plugin/src/test/echotest.sh | Shell | lgpl-3.0 | 20 |
#/usr/bin/env bash
# Note: You'll notice a lot of `set +/-x` in this file. This controls where
# bash echos the executed commands.
# set -x; # enables
# set +x; # disables
# When enabled all executed commands are echo'd included those in executed scripts
# Example `set -x && source ~/.bashrc` would echo every command ... | zaquestion/dotfiles | setup.sh | Shell | unlicense | 5,145 |
#!/bin/bash -f
# Vivado (TM) v2016.4 (64-bit)
#
# Filename : bram_2048_1.sh
# Simulator : Mentor Graphics Questa Advanced Simulator
# Description : Simulation script for compiling, elaborating and verifying the project source files.
# The script will automatically create the design libraries su... | TWW12/lzw | final_project_sim/lzw/lzw.ip_user_files/sim_scripts/bram_2048_1/questa/bram_2048_1.sh | Shell | unlicense | 4,942 |
#!/bin/sh
#
# Dump databases to committee folder.
#
# $Id: update_userdb_dumps.sh,v 1.4 2002/02/16 21:50:54 cns Exp cns $
#
OUT=/local/committee/userdb
PSQL="/usr/local/pgsql/bin/psql -h localhost -d userdb"
PG_DUMP="/usr/local/pgsql/bin/pg_dump -h localhost -d userdb"
USERDB_BACKUP="/local/admin/scripts/users/backup-... | gruunday/useradm | attic/dump_userdb.sh | Shell | unlicense | 958 |
#!/bin/sh
# install Xcode
if [ ! -d /Library/Developer/CommandLineTools ]; then
sudo xcodebuild -license
fi
# install homebrew
if [ ! -f /usr/local/bin/brew ]; then
ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
fi
# install homebrew
brew update
# install ansible
brew ... | nakaumin/mac-setup | install.sh | Shell | unlicense | 533 |
#!/bin/bash
#released under the GPL v2
if [ $# -lt 1 ]; then
/bin/echo "Usage: smv sed_expression filename"
exit 1
fi
if [ ! -e "$2" ]; then
echo "file [""$2""] doesnt exist.";
exit;
fi
SEDED=$(echo $2 | sed "$1");
if [ -e "$SEDED" ]; then
echo "file [""$2""] already exists.";
exit... | nazeeruddinikram/bashshell | smv.sh | Shell | unlicense | 498 |
#! /bin/bash
#exit
pip install influxdb
if [ $? -gt 0 ]; then
ctx logger info "Aborting ... "
exit
fi
ctx logger info "Retrieving nodes_to_monitor and deployment_id"
NTM="$(ctx node properties nodes_to_monitor)"
ctx logger info "nodes_to_monitor = ${NTM}"
NTM=$(echo ${NTM} | sed "s/u'/'/g")
DPLID=$(ctx deployment... | alien4cloud/alien4cloud-cloudify3-provider | alien4cloud-cloudify3-provider/src/main/resources/recipe/monitor/scripts/policy-start.sh | Shell | apache-2.0 | 963 |
#!/bin/bash
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distri... | duckback00/dxapikit | API/flows.sh | Shell | apache-2.0 | 5,501 |
# Script to setup new pi disc image with HappyBrackets and appropriate details
# run from pi, with an internet connection
cd
#Let user decide which JVMs to install
# keep apt-get up to date with mirrors
sudo apt-get -y update
# install zeroconf
sudo apt-get -y --force-yes install libnss-mdns
sudo apt-get -y --forc... | orsjb/HappyBrackets | DeviceSetup/setup-pi-image-oracle.sh | Shell | apache-2.0 | 3,870 |
#!/bin/bash
python ../../cli/pd_cli.py -p firewall -i p4_pd_rpc.firewall -s $PWD/tests/pd_thrift:$PWD/../../testutils -m "$1" -c localhost:22222
| VPetyaa/p4factory | targets/firewall/send_command.sh | Shell | apache-2.0 | 146 |
#!/bin/bash
add-apt-repository -y ppa:vbernat/haproxy-1.5 -y
apt-get update -y && apt-get install -y haproxy htop build-essential libssl-dev git
curl https://raw.githubusercontent.com/creationix/nvm/master/install.sh |sh
cd /root && mv /.nvm .
git clone https://github.com/eazeved0/chaordic.git && cd chaordic
mv .bashr... | eazeved0/chaordic | data_Chaordic.sh | Shell | apache-2.0 | 639 |
echo "Removing exited containers"
docker rm -f $(docker ps -aqf'status=exited')
docker-compose -f 'docker-compose.test.yml' -p ci up --build --abort-on-container-exit
exit $(docker wait ci_newsletter-engine_1)
| ishaan119/emailVerifier | bin/test.sh | Shell | apache-2.0 | 211 |
#!/bin/sh
cp build/libs/MockServices.war $CATALINA_HOME/webapps/
| KRMAssociatesInc/eHMP | ehmp/product/production/MockServices/deploy.sh | Shell | apache-2.0 | 65 |
#!/usr/bin/env bash
# Copyright 2019 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or a... | GoogleCloudPlatform/anthos-workshop | hybrid-multicluster/istio-connect.sh | Shell | apache-2.0 | 4,262 |
pkg_name=sqitch_pg
pkg_origin=core
pkg_version="3.7.4"
pkg_maintainer="The Habitat Maintainers humans@habitat.sh"
pkg_license=('Artistic-1.0-Perl' 'GPL-2.0')
pkg_deps=(
core/glibc
lilian/perl
lilian/postgresql-client
lilian/zlib
lilian/sqitch
)
pkg_build_deps=(
lilian/cpanminus
lilian/local-lib
lilian/g... | be-plans/be | sqitch_pg/plan.sh | Shell | apache-2.0 | 1,037 |
#!/bin/bash
echo "Updating apt-get"
apt-get update -qq
echo "Installing HTTPS"
apt-get install -qq apt-transport-https ca-certificates
echo "Inserting key"
apt-key adv -qq --keyserver hkp://p80.pool.sks-keyservers.net:80 --recv-keys 58118E89F3A912897C070ADBF76221572C52609D
echo "deb https://apt.dockerproject.org/rep... | 3fs/consul-f5 | example/init.sh | Shell | apache-2.0 | 1,046 |
#!/usr/bin/env bash
# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or a... | GoogleCloudPlatform/training-data-analyst | courses/ahybrid/v1.0/common/scripts/services.sh | Shell | apache-2.0 | 1,066 |
#!/bin/bash
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements. See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you... | curtiszimmerman/legisgate | script.sh | Shell | apache-2.0 | 7,296 |
#!/bin/bash -x
MYDIR=$(dirname "$0")
MYDIR=$(cd "$MYDIR" || exit 1; pwd)
GITHUB_BUILD_CONTEXT="smoke"
# shellcheck source=lib.sh disable=SC1091
. "${MYDIR}/lib.sh"
set +eo pipefail
FLAPPING=false
while getopts f OPT; do
case $OPT in
f) FLAPPING=true
;;
*)
;;
esac
done
if [ "$FLAPPING" = "true" ]; the... | OpenNMS/opennms-bamboo-utils | smoke-tests.sh | Shell | apache-2.0 | 6,162 |
#!/bin/sh
# Copyright Yahoo. Licensed under the terms of the Apache 2.0 license. See LICENSE in the project root.
grep "CPU" |grep "elapsed" | sed "s/user / user /g" | sed "s/system / system /g" | sed "s/elapsed / elapsed /g" | sed "s/CPU / CPU /g" | awk '{print $1 ";\t" $3 ";\t" $7 ";"}'
| vespa-engine/vespa | vespamalloc/src/tests/allocfree/timeusage.sh | Shell | apache-2.0 | 290 |
# ----------------------------------------------------------------------------
#
# Package : guava
# Version : 25.1
# Source repo : https://github.com/google/guava
# Tested on : ubuntu_18.04
# Script License: Apache License, Version 2 or later
# Maintainer : Atul Sowani <sowania@us.ibm.com>
#
# Disclaimer: This script ... | ppc64le/build-scripts | g/guava/guava_ubuntu_18.04.sh | Shell | apache-2.0 | 972 |
#!/bin/sh
FORMATTER_DIR="$(dirname $0)"
GIT_HOOK_DIR="$FORMATTER_DIR/../.git/hooks"
cp $FORMATTER_DIR/pre-commit $GIT_HOOK_DIR/pre-commit
chmod +x $GIT_HOOK_DIR/pre-commit
curl -o $GIT_HOOK_DIR/tvdformat.jar -L https://github.com/Trivadis/plsql-formatter-settings/releases/download/sqldev-21.4.2/tvdformat.jar
echo "pre... | PhilippSalvisberg/plscope-utils | formatter/install-pre-commit-hook.sh | Shell | apache-2.0 | 373 |
#!/usr/bin/env bash
set -eu
# BUILD TURBINE
THIS=$( readlink --canonicalize $( dirname $0 ) )
SCRIPT=$( basename $0 )
cd $THIS
$THIS/check-settings.sh
source $THIS/functions.sh
source $THIS/options.sh
source $THIS/swift-t-settings.sh
source $THIS/setup.sh
[[ $SKIP == *T* ]] && exit
LOG $LOG_INFO "Building Turb... | swift-lang/swift-t | dev/build/build-turbine.sh | Shell | apache-2.0 | 4,306 |
#!/bin/bash -e
# This script shows the steps needed to build a recognizer for certain matched languages (Arabic, Dutch, Mandarin, Hungarian, Swahili, Urdu) of the SBS corpus.
# (Adapted from the egs/gp script run.sh)
echo "This shell script may run as-is on your system, but it is recommended
that you run the comman... | irrawaddy28/SBS-mul | run_hmm_monolingual.sh | Shell | apache-2.0 | 5,850 |
#!/bin/bash
###############################################################################################################
# #
# Cassandra Node Launcher for HPC #
# Eloy Gil - eloy.gil... | bsc-dd/hecuba | cassandra4slurm/scripts/cass_node.sh | Shell | apache-2.0 | 1,945 |
#!/bin/bash
for TEST in `ls test-*.exe`
do
filename="${TEST%.*}"
echo Checking $filename.sh...
if [ -e "$filename.sh" ]; then
echo Executing $filename.sh...
./$filename.sh
elif [ "$TEST" == "test-ftruncate.exe" ]; then
echo Executing ./test-ftruncate.exe "data/test-file.txt"...
./test-... | onepremise/Mingle | mingle/libmingle/test/test-runner.sh | Shell | apache-2.0 | 453 |
#!/bin/bash
set -e
function show_help {
cat << EOF
Usage: ${0##*/} <organization id>
Get org usage
EOF
}
if [ -z "$CLIENT_ID" ] || [ -z "$CLIENT_SECRET" ]; then
echo "Missing CLIENT_ID or CLIENT_SECRET !"
exit 1
fi
if [ -z "$DOMAIN" ]; then
echo "Missing DOMAIN !"
exit 1
fi
if [ -z "$1" ]; then
echo "N... | cloudfoundry-incubator/cf-abacus | demo/scripts/abacus-get-report.sh | Shell | apache-2.0 | 1,250 |
#!/usr/bin/env bash
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "Lice... | davinash/geode | ci/images/google-geode-builder/scripts/setup.sh | Shell | apache-2.0 | 4,037 |
#!/bin/bash
#
# Copyright (C) 2015, BMW Car IT GmbH
#
# Author: Sebastian Mattheis <sebastian.mattheis@bmw-carit.de>
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
# in compliance with the License. You may obtain a copy of the License at
# http://www.apache.org/lic... | bmwcarit/barefoot | map/tools/test/run.sh | Shell | apache-2.0 | 1,597 |
#!/usr/bin/env bash
# Set up a table to use for integration tests.
set -e
set -u
ADMIN_HOSTS=(
"bigtableadmin.googleapis.com:443"
"test-bigtableadmin.sandbox.googleapis.com:443"
)
ZONE=us-central1-b
FAMILY=cf
# Format: projects/<project-id>/instances/<instance-id>/tables/<table-id>
TABLE_NAME=$1
if [[ ${TABLE... | googleapis/java-bigtable | scripts/setup-test-table.sh | Shell | apache-2.0 | 1,111 |
export CWD=$PWD
#where programs are
export BIN_DIR="/rsgrps/bhurwitz/hurwitzlab/bin"
#input fasta
export FASTA_DIR="/gsfs1/rsgrps/bhurwitz/scottdaniel/blast-pipeline/test_sequences"
#place to store split-up fasta (step 00)
export SPLIT_FA_DIR="/rsgrps/bhurwitz/scottdaniel/blast-pipeline/fasta-split"
#place to store bla... | hurwitzlab/blast-pipeline | scripts/config.sh | Shell | apache-2.0 | 1,499 |
#! /bin/bash
TAG=$1
# Prefix of file name is the tag.
DOCKERRUN_FILE="Dockerrun.aws.json"
DOCKERRUN_TEMPLATE="./deployment/Dockerrun.aws.json.template"
EB_EXTENSIONS_DIR=".ebextensions"
EB_ZIP="$TAG-eb-config.zip"
EB_BUCKET=$AWS_DEPLOY_BUCKET
# Replace tags in template file and create config file
sed -e "s/<TAG>/$T... | fingerco/watcher-url-scraper | deployment/deploy.sh | Shell | apache-2.0 | 459 |
#!/bin/bash
checkdocker
check4dockerimage "${APP_IMG_NAME}" BUILD
reqdockerimg "${REQ_APP_IMG_NAME}"
if [ "$BUILD" == "Y" ]; then
echo "In addition to anaconda2 and anaconda3 base images, we can also add additional libraries for running Apache Spark in Anaconda. Do you wish to do that?"
read -e -p "Build a... | JohnOmernik/zetaextra | anaconda/build.sh | Shell | apache-2.0 | 793 |
# see: https://www.digicert.com/csr-creation-apache.htm
openssl req -new -newkey rsa:2048 -nodes -keyout ssl/server.key -out ssl/server.csr
| cHolzberger/docker-apache | generate-csr.sh | Shell | apache-2.0 | 141 |
#!/bin/bash
VERSION="latest"
set -e
echo "> 1. Building Docker image"
echo ""
docker build -t donbeave/sdkman:$VERSION .
#echo ""
#echo "> 2. Publishing Docker image to Docker Hub"
#echo ""
#docker login -e $DOCKER_EMAIL -u $DOCKER_USER -p $DOCKER_PASS
#docker push donbeave/sdkman:$VERSION
| donbeave/docker-sdkman | build.sh | Shell | apache-2.0 | 295 |
#!/bin/bash
echo ' __ ___ ____ ______ '
echo ' / / / (_) __// __/ /________ ____ '
echo '/ /_/ / /__ \_\ \/ __/ __/ _ `/ _ \'
echo '\____/_/____/___/\__/_/ \_,_/ .__/'
echo ' /_/ '
echo
curDir=$(pwd)
echo Welcome to Ui5Strap inst... | pks5/ui5strap | bin/install.sh | Shell | apache-2.0 | 813 |
#!/usr/bin/env bash
# WARNING: This script is only for RHEL7 on EC2
# Some of these installs may be unecessary but are included for completeness against documentation
yum -y install nfs-utils libseccomp lvm2 bridge-utils libtool-ltdl ebtables rsync policycoreutils-python ntp bind-utils nmap-ncat openssl e2fsprogs red... | Chaffelson/whoville | whoville/resources/v2/demo-cdsw-hdp31/cdsw-postcluster.sh | Shell | apache-2.0 | 4,225 |
#!/bin/sh
# absolute path to application we are testing
application=$FCLAW_APPLICATIONS_BUILD_DIR/clawpack/advection/2d/slotted_disk/slotted_disk
# change to source dir for working directory
cd $FCLAW_APPLICATIONS_SRC_DIR/clawpack/advection/2d/slotted_disk/
# run programs, exit script with nonzero on failure (or else... | ForestClaw/forestclaw | applications/clawpack/advection/2d/slotted_disk/regressions.sh | Shell | bsd-2-clause | 833 |
#!/bin/sh -ev
mkdir -p src
pushd src
while read url; do
if [ -n "$url" ]; then
base=`basename $url`
if [ \! -f $base ]; then
echo $url
curl -O -L "$url"
fi
fi
done < $BASEDIR/source.txt
popd
| vasi/nicotine.app | source.sh | Shell | bsd-2-clause | 221 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.